# there is no actual arched content - this is a header only library
%global debug_package %{nil}

Name:           xsimd
Version:        9.0.1
Release:        %mkrel 3
Summary:        C++ wrappers for SIMD intrinsics
Group:          Development/C++
License:        BSD
URL:            https://xsimd.readthedocs.io/
Source0:        https://github.com/xtensor-stack/xsimd/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel

%description
SIMD (Single Instruction, Multiple Data) is a feature of
microprocessors that has been available for many years. SIMD
instructions perform a single operation on a batch of values at once
and thus provide a way to significantly accelerate code
execution. However, these instructions differ between microprocessor
vendors and compilers.

xsimd provides a unified means for using these features for library
authors. Namely, it enables the manipulation of batches of numbers
with the same arithmetic operators as for single values. It also
provides an accelerated implementation of common mathematical
functions operating on batches.

%package devel
Summary:        %{summary}
Group:          Development/C++
Provides:       %{name} = %{version}-%{release}

%description devel
SIMD (Single Instruction, Multiple Data) is a feature of
microprocessors that has been available for many years. SIMD
instructions perform a single operation on a batch of values at once
and thus provide a way to significantly accelerate code
execution. However, these instructions differ between microprocessor
vendors and compilers.

xsimd provides a unified means for using these features for library
authors. Namely, it enables the manipulation of batches of numbers
with the same arithmetic operators as for single values. It also
provides accelerated implementation of common mathematical functions
operating on batches.

This package contains the headers needed to compile programs that make
use of xsimd.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS:BOOL=ON
%cmake_build

%install
%cmake_install

%check
%cmake_build -- xtest

%files devel
%doc README.md
%license LICENSE
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 31 2022 ghibo <ghibo> 9.0.1-3.mga9
+ Revision: 1900759
- Provides files only on the devel package

* Mon Oct 31 2022 ghibo <ghibo> 9.0.1-2.mga9
+ Revision: 1900748
- Build initial release for krita
- imported package xsimd


* Mon Oct 31 2022 ghibo <ghibo> - 9.0.1-1.mga9
- Initial release based on FC spec file.
